Go to the latest version of this document.

# ``twisted`.`spread`.`jelly`.`_Unjellier``

class documentation

`class _Unjellier: (source)`

Constructor: `_Unjellier(taster, persistentLoad, invoker)`

View In Hierarchy

Undocumented

Method | `__init__` | Undocumented
Method | `unjelly` | Undocumented
Method | `unjellyFull` | Undocumented
Method | `unjellyInto` | Undocumented
Instance Variable | `invoker` | Undocumented
Instance Variable | `persistentLoad` | Undocumented
Instance Variable | `postCallbacks` | Undocumented
Instance Variable | `references` | Undocumented
Instance Variable | `taster` | Undocumented
Method | `_genericUnjelly` | Unjelly a type for which no specific unjellier is registered, but which is nonetheless allowed.
Method | `_maybePostUnjelly` | If the given object has support for the `postUnjelly` hook, set it up to be called at the end of deserialization.
Method | `_unjelly_boolean` | Undocumented
Method | `_unjelly_class` | Undocumented
Method | `_unjelly_date` | Undocumented
Method | `_unjelly_datetime` | Undocumented
Method | `_unjelly_decimal` | Unjelly decimal objects.
Method | `_unjelly_dereference` | Undocumented
Method | `_unjelly_dictionary` | Undocumented
Method | `_unjelly_frozenset` | Unjelly frozenset using the `frozenset` builtin.
Method | `_unjelly_function` | Undocumented
Method | `_unjelly_instance` | (internal) Unjelly an instance.
Method | `_unjelly_list` | Undocumented
Method | `_unjelly_method` | (internal) Unjelly a method.
Method | `_unjelly_module` | Undocumented
Method | `_unjelly_None` | Undocumented
Method | `_unjelly_persistent` | Undocumented
Method | `_unjelly_reference` | Undocumented
Method | `_unjelly_set` | Unjelly set using the `set` builtin.
Method | `_unjelly_time` | Undocumented
Method | `_unjelly_timedelta` | Undocumented
Method | `_unjelly_tuple` | Undocumented
Method | `_unjelly_unicode` | Undocumented
Method | `_unjelly_unpersistable` | Undocumented
Method | `_unjellySetOrFrozenset` | Helper method to unjelly set or frozenset.

def __init__(self, taster, persistentLoad, invoker): (source)

Undocumented

def unjelly(self, obj): (source)

Undocumented

def unjellyFull(self, obj): (source)

Undocumented

def unjellyInto(self, obj, loc, jel): (source)

Undocumented

invoker = (source)

Undocumented

persistentLoad = (source)

Undocumented

postCallbacks: `list` = (source)

Undocumented

references: `dict` = (source)

Undocumented

taster = (source)

Undocumented

def _genericUnjelly(self, cls, state): (source)

Unjelly a type for which no specific unjellier is registered, but which is nonetheless allowed.

Parameters
cls:`type` | the class of the instance we are unjellying.
state:`list` | The jellied representation of the object's state; its `__dict__` unless it has a `__setstate__` that takes something else.

Returns
the new, unjellied instance.

def _maybePostUnjelly(self, unjellied): (source)

If the given object has support for the `postUnjelly` hook, set it up to be called at the end of deserialization.

Parameters
unjellied | an object that has already been unjellied.

Returns
`unjellied`

def _unjelly_boolean(self, exp): (source)

Undocumented

def _unjelly_class(self, rest): (source)

Undocumented

def _unjelly_date(self, exp): (source)

Undocumented

def _unjelly_datetime(self, exp): (source)

Undocumented

def _unjelly_decimal(self, exp): (source)

Unjelly decimal objects.

def _unjelly_dereference(self, lst): (source)

Undocumented

def _unjelly_dictionary(self, lst): (source)

Undocumented

def _unjelly_frozenset(self, lst): (source)

Unjelly frozenset using the `frozenset` builtin.

def _unjelly_function(self, rest): (source)

Undocumented

def _unjelly_instance(self, rest): (source)

(internal) Unjelly an instance.

Called to handle the deprecated instance token.

Parameters
rest | The s-expression representing the instance.

Returns
The unjellied instance.

def _unjelly_list(self, lst): (source)

Undocumented

def _unjelly_method(self, rest): (source)

(internal) Unjelly a method.

def _unjelly_module(self, rest): (source)

Undocumented

def _unjelly_None(self, exp): (source)

Undocumented

def _unjelly_persistent(self, rest): (source)

Undocumented

def _unjelly_reference(self, lst): (source)

Undocumented

def _unjelly_set(self, lst): (source)

Unjelly set using the `set` builtin.

def _unjelly_time(self, exp): (source)

Undocumented

def _unjelly_timedelta(self, exp): (source)

Undocumented

def _unjelly_tuple(self, lst): (source)

Undocumented

def _unjelly_unicode(self, exp): (source)

Undocumented

def _unjelly_unpersistable(self, rest): (source)

Undocumented

def _unjellySetOrFrozenset(self, lst, containerType): (source)

Helper method to unjelly set or frozenset.

Parameters
lst:`list` | the content of the set.
containerType | the type of `set` to use.